/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 * @format
 * @oncall relay
 */
'use strict';

var LiveResolverStore = require('./store/experimental-live-resolvers/LiveResolverStore');

var _require = require('./store/experimental-live-resolvers/LiveResolverSuspenseSentinel'),
    isSuspenseSentinel = _require.isSuspenseSentinel,
    suspenseSentinel = _require.suspenseSentinel;

var resolverDataInjector = require('./store/experimental-live-resolvers/resolverDataInjector');

var _require2 = require('./store/experimental-live-resolvers/weakObjectWrapper'),
    weakObjectWrapper = _require2.weakObjectWrapper,
    weakObjectWrapperLive = _require2.weakObjectWrapperLive;

module.exports = {
  resolverDataInjector: resolverDataInjector,
  isSuspenseSentinel: isSuspenseSentinel,
  LiveResolverStore: LiveResolverStore,
  weakObjectWrapper: weakObjectWrapper,
  weakObjectWrapperLive: weakObjectWrapperLive,
  suspenseSentinel: suspenseSentinel
};